import java.lang.Object;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
import java.sql.*;

public class BidInfoServlet extends HttpServlet {
    HttpSession session;
    int auctionId,cid;
    String rsp=null;
    BidPageGen bpg;
    //BidQueryHandler bqh;

    public void init (ServletConfig config) throws ServletException {
        super.init(config);
        //bpg=new BidPageGen();
        //bqh=new BidQueryHandler();
        
    }
    
    
    public void doGet(HttpServletRequest request,HttpServletResponse response)
        throws ServletException, IOException {
        
        bpg=new BidPageGen();
        //bqh=new BidQueryHandler();
	auctionId=Integer.parseInt(request.getParameter("auctionId"));
	response.setContentType("text/html");
	
	

	PrintWriter out=response.getWriter();
        rsp=SharedObjects.qe.getBidHistoryPage(auctionId);
	System.out.println(rsp+auctionId);
	ProdHtmlGen.linksToPages(out);

        out.println(rsp);
        
        out.close();
    }

    public void doPost(HttpServletRequest request,HttpServletResponse response)
        throws ServletException, IOException {
    }
    
    
}
	





